/*
 * Print the timeslice of a linux process. This program is not
 * portable.
 */

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <sched.h>

int
main(void)
{
    struct timespec t;
    int r;
    
    while (1) {
	r = sched_rr_get_interval(getpid(), &t);
	if (r < 0) {
	    perror("sched_rr_get_interval");
	    return 1;
	}
	printf("timeslice [s] %d.%09ld\n", t.tv_sec, t.tv_nsec);
    }
    
    return 0;
}
